gdk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Represents a rectangle with x, y, width and height. System.ValueType
- Field
  Gdk.Rectangle A zero initialized rectangle.
- Method
  Gdk.Rectangle `` Makes a new rectangle. An , the underlying unmanaged C object. A Not for general developer use.
- Constructor
  Initializes a rectangle from the given values.
  X value.
  Y value
  Width of the rectangle.
  Height of the rectangle
  The initialized rectangle.
- Method
  System.String Returns a string representation of the rectangle. a This is only intended to be used for debugging purposes.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Field
  System.Int32 The X element of the rectangle.
- Field
  System.Int32 The Y element of the rectangle.
- Field
  System.Int32 The rectangle width
- Field
  System.Int32 The rectangle height.
- Method
  Gdk.Rectangle `` Obtains the union of a this and another. a a representing the union of the two objects. The result is the smallest that contains both objects within its boundaries.
- Method
  System.Boolean `` `` Obtains the intersection of a this and another. a a representing the intersection of this and the src2 Returns true if the two objects intersect. The result is the rectangular region occupied by both source rectanlges.